Subject: The properties of the AOP proxy should have a more "internal" name
Description

The AOP proxy classes define several properties, e.g. $objectFactory. Now if you try to advice a class having defined one of these
properties with the same name, but as static, this ends up in a fatal error.

Solution: Give these properties a name probably nobody else will use, like FLOW3_AOP_Proxy_objectFactory.

Are there any reasons this change would not work? If not, just assign this issue back to me and I will implement it.

Associated revisions
Revision 235c5d0a - 2010-02-10 18:59 - Andreas Förthner

    -  [+FEATURE] FLOW3 (AOP): If an advice is executed can now depend on runtime evaluations, which can be configured in the pointcut
expression. Relates to #5659.
    -  [~BUGFIX] FLOW3 (AOP): Properties of the AOP proxy class are now prefixed by FLOW3_AOP_Proxy_. This fixes #6188.
    -  [~TASK] FLOW3 (AOP): Removed an unused function from the Framework class.

History
#1 - 2010-01-28 17:20 - Andreas Förthner
- Assigned To changed from Robert Lemke to Andreas Förthner

#2 - 2010-02-10 19:00 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3823.
